X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

It won't update firefox 12.0

Posted

i have a windows 2000 1999 ibm thinkpad i series and i have firefox 12.0 and it wont upgrade to anything newer. i have tried beta, and aurora, and plain old firefox and nothing works, can you help?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 10.1 r53
  • Network Object Plugin
  • Windows Multimedia Services DRM Store Plug-In
  • Npdsplay dll

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.0; rv:12.0) Gecko/20100101 Firefox/12.0

More Information

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6642 answers

Firefox stopped supporting Windows 200 after version 12.0 (it is the last version that runs on that operating system). Firefox no longer works with Windows 2000

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

hello, unfortunately support for windows 2000 has been dropped and firefox 12 was the last version to work with the operating system. you can either switch to opera if you want to continue using a current browser or use the extended support release of firefox, which at the moment is still getting security updates but it is intended for corporate environments.

www.opera.com www.mozilla.org/firefox/organizations/faq/